summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Wilmott <p8952@gentoo.org>2015-08-14 17:39:01 +0100
committerPeter Wilmott <p8952@gentoo.org>2015-08-14 17:39:01 +0100
commit922cabd3203aeb01ed482f8df9185be4c17d6a6e (patch)
treefc234516ec0f074c0e343f251b0939766f4b2526 /dev-ruby
parentmozconfig-v6.40.eclass: replace $Header $ with $Id$ (diff)
downloadgentoo-922cabd3203aeb01ed482f8df9185be4c17d6a6e.tar.gz
gentoo-922cabd3203aeb01ed482f8df9185be4c17d6a6e.tar.bz2
gentoo-922cabd3203aeb01ed482f8df9185be4c17d6a6e.zip
dev-ruby/rexical: Fix build failures, bug 557296
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/rexical/rexical-1.0.5-r2.ebuild9
1 files changed, 8 insertions, 1 deletions
diff --git a/dev-ruby/rexical/rexical-1.0.5-r2.ebuild b/dev-ruby/rexical/rexical-1.0.5-r2.ebuild
index 3f639309d2d..2a34436cc42 100644
--- a/dev-ruby/rexical/rexical-1.0.5-r2.ebuild
+++ b/dev-ruby/rexical/rexical-1.0.5-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -27,8 +27,15 @@ ruby_add_bdepend "
doc? ( >=dev-ruby/hoe-2.6.2 )
test? (
>=dev-ruby/hoe-2.6.2
+ dev-ruby/test-unit:2
)"
+all_ruby_prepare() {
+ sed -i -e '1igem "test-unit"' test/test_generator.rb || die
+
+ sed -i -e '/rubyforge_name/d' Rakefile || die
+}
+
all_ruby_install() {
all_fakegem_install